=== modified file 'diff.py'
--- diff.py	2008-07-17 11:24:26 +0000
+++ diff.py	2008-07-20 12:53:30 +0000
@@ -73,15 +73,15 @@
             self.buffer.set_language(gsl)
             self.buffer.set_highlight(True)
 
-            sourceview = gtksourceview.SourceView(self.buffer)
+            self.sourceview = gtksourceview.SourceView(self.buffer)
         else:
             self.buffer = gtk.TextBuffer()
-            sourceview = gtk.TextView(self.buffer)
+            self.sourceview = gtk.TextView(self.buffer)
 
-        sourceview.set_editable(False)
-        sourceview.modify_font(pango.FontDescription("Monospace"))
-        self.add(sourceview)
-        sourceview.show()
+        self.sourceview.set_editable(False)
+        self.sourceview.modify_font(pango.FontDescription("Monospace"))
+        self.add(self.sourceview)
+        self.sourceview.show()
 
     @staticmethod
     def apply_gedit_colors(lang):
@@ -300,12 +300,19 @@
         super(DiffWidget, self).__init__()
 
         # The file hierarchy: a scrollable treeview
+        vbox = gtk.VBox()
+        self.checkbox_wraplines = gtk.CheckButton(_i18n("W_rap long lines"), True)
+        self.checkbox_wraplines.set_active(False) # TO DO: Read from config
+        self.checkbox_wraplines.connect("toggled", self._on_wraplines_toggled)
+        self.checkbox_wraplines.show()
         scrollwin = gtk.ScrolledWindow()
         scrollwin.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         scrollwin.set_shadow_type(gtk.SHADOW_IN)
-        self.pack1(scrollwin)
         scrollwin.show()
-
+        vbox.pack_start(scrollwin, True, True, 0)
+        vbox.pack_end(self.checkbox_wraplines, False, False, 5)
+        self.pack1(vbox)
+        
         self.model = gtk.TreeStore(str, str)
         self.treeview = gtk.TreeView(self.model)
         self.treeview.set_headers_visible(False)
@@ -405,9 +412,15 @@
             return
         elif specific_files == [ "" ]:
             specific_files = None
-
+        
         self.diff_view.show_diff(specific_files)
-
+    
+    def _on_wraplines_toggled(self, widget):
+        """Callback for when the wrap lines checkbutton is toggled"""
+        if self.checkbox_wraplines.get_active():
+            self.diff_view.sourceview.set_wrap_mode(gtk.WRAP_WORD)
+        else:
+            self.diff_view.sourceview.set_wrap_mode(gtk.WRAP_NONE)
 
 class DiffWindow(Window):
     """Diff window.

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2008-07-18 15:19:21 +0000
+++ viz/branchwin.py	2008-07-20 12:53:30 +0000
@@ -57,15 +57,16 @@
 
         self.set_title(branch.nick + " - revision history")
 
-        # Use three-quarters of the screen by default
-        screen = self.get_screen()
-        monitor = screen.get_monitor_geometry(0)
-        width = int(monitor.width * 0.75)
-        height = int(monitor.height * 0.75)
         # user-configured window size
         size = self._load_size('viz-window-size')
         if size:
             width, height = size
+        else:
+            # Use three-quarters of the screen by default
+            screen = self.get_screen()
+            monitor = screen.get_monitor_geometry(0)
+            width = int(monitor.width * 0.75)
+            height = int(monitor.height * 0.75)
         self.set_default_size(width, height)
         self.set_size_request(width/3, height/3)
         self.connect("size-allocate", self._on_size_allocate, 'viz-window-size')

